Chuyển đến nội dung
Diễn đàn CADViet
Đăng nhập để thực hiện theo  
transduc

(Nhờ vả) Lisp chuyển text từ cad sang excel dạng cột!

Các bài được khuyến nghị

Em có file cad như đính kèm, bây giờ e muốn dùng lisp để chuyển đổi các text trong bản vẽ sang excel theo dang cột như file excel kèm theo ạ, mong các bác trên diễn đàn giúp đỡ, cám ơn các bác nhiều.

Ps:e có dùng lisp kèm theo nhưng kết quả không được như mong muốn ạ

 

http://www.cadviet.com/upfiles/3/61123_11_2.rar

Chia sẻ bài đăng này


Liên kết tới bài đăng
Chia sẻ trên các trang web khác

Em có file cad như đính kèm, bây giờ e muốn dùng lisp để chuyển đổi các text trong bản vẽ sang excel theo dang cột như file excel kèm theo ạ, mong các bác trên diễn đàn giúp đỡ, cám ơn các bác nhiều.

Ps:e có dùng lisp kèm theo nhưng kết quả không được như mong muốn ạ

 

http://www.cadviet.com/upfiles/3/61123_11_2.rar

Thử lisp này xem

 

(defun c:c2e ( / ss lst fuzz fid sosanh)
  (defun sosanh    (e1 e2 / p1 p2)
    (setq p1 (car e1)      p2 (car e2)    )
    (if    (equal (car p1) (car p2) fuzz)
            (> (cadr p1) (cadr p2))
      (< (car p1) (car p2))
    )  )
 (setq   lst        (vl-remove-if 'listp (mapcar 'cadr (ssnamex (ssget '((0 . "TEXT"))))))
     fuzz    (* (cdr (assoc 40 (entget (car lst)))) 10.0)   
                    lst    (mapcar '(lambda (e) (cons (cdr (assoc 10 (entget e))) (cdr (assoc 1 (entget e))))) lst)   
        lst (vl-sort lst 'sosanh)  
   fid     (open (getfiled "Chon file de save" "" "csv" 1) "w")  )  
  (foreach e lst
        (princ (strcat (cdr e)"\n") fid)              )    
  (close fid))

Chia sẻ bài đăng này


Liên kết tới bài đăng
Chia sẻ trên các trang web khác

 

Thử lisp này xem

 

(defun c:c2e ( / ss lst fuzz fid sosanh)
  (defun sosanh    (e1 e2 / p1 p2)
    (setq p1 (car e1)      p2 (car e2)    )
    (if    (equal (car p1) (car p2) fuzz)
            (> (cadr p1) (cadr p2))
      (< (car p1) (car p2))
    )  )
 (setq   lst        (vl-remove-if 'listp (mapcar 'cadr (ssnamex (ssget '((0 . "TEXT"))))))
     fuzz    (* (cdr (assoc 40 (entget (car lst)))) 10.0)   
                    lst    (mapcar '(lambda (e) (cons (cdr (assoc 10 (entget e))) (cdr (assoc 1 (entget e))))) lst)   
        lst (vl-sort lst 'sosanh)  
   fid     (open (getfiled "Chon file de save" "" "csv" 1) "w")  )  
  (foreach e lst
        (princ (strcat (cdr e)"\n") fid)              )    
  (close fid))

lisp bác gửi giống lisp e gửi kèm mà, kết quả không như mong đợi chứ, mãi mà không làm được.chán

Chia sẻ bài đăng này


Liên kết tới bài đăng
Chia sẻ trên các trang web khác

lisp bác gửi giống lisp e gửi kèm mà, kết quả không như mong đợi chứ, mãi mà không làm được.chán

Bạn nghĩ sao đã thử lisp trên chưa??? 

không giống như bạn nghĩ đâu thử rồi sẽ biết

?

?

?

P/Smình đang lay hoay sửa dùm bạn ai ngờ lisp của bạn transduc đã làm rồi.

Chia sẻ bài đăng này


Liên kết tới bài đăng
Chia sẻ trên các trang web khác

Xem ra không mấy ai quan tâm rồi.

Bạn nghỉ sao???

Đã sửa lại cho bạn rồi mà bạn ko dùng a????

 

P/S: Lisp đã sửa rồi nhưng nó giống với lisp ở trên của bạn ndtnv nên mình ko up lên

Chia sẻ bài đăng này


Liên kết tới bài đăng
Chia sẻ trên các trang web khác

Tạo một tài khoản hoặc đăng nhập để nhận xét

Bạn cần phải là một thành viên để lại một bình luận

Tạo tài khoản

Đăng ký một tài khoản mới trong cộng đồng của chúng tôi. Điều đó dễ mà.

Đăng ký tài khoản mới

Đăng nhập

Bạn có sẵn sàng để tạo một tài khoản ? Đăng nhập tại đây.

Đăng nhập ngay

Đăng nhập để thực hiện theo  

×